Get a decrypted API key by id

Requires the USER.API.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Response

OK
object_typestring or nullRead-only
idstring or nullRead-only
The id of this API key
api_keystring or nullRead-only
The API Key itself
entity_idstring or nullRead-only
The id of the entity that this API key belongs to
created_atstring or nullRead-only
The creation date of the API key
statusenum or null
Indicates the status of this API key
Allowed values:
descriptionstring or null

Description of this API key, e.g. for describing type/location of usage

activeboolean or nullDeprecated
Indicates whether this API key is active or not
account_membershipslist of objects or nullRead-onlyDeprecated
Account memberships that this API key has
team_membershipslist of objects or nullRead-onlyDeprecated
The team memberships that this API key has

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error